summaryrefslogtreecommitdiffstats
path: root/cleanup_expected.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-04 17:44:55 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-04 17:44:55 +0000
commit5068d34c08f951a7ea6257d305a1627b09a95817 (patch)
tree08213e2be853396a3b07ce15dbe222644dcd9a89 /cleanup_expected.sh
parentInitial commit. (diff)
downloadlnav-5068d34c08f951a7ea6257d305a1627b09a95817.tar.xz
lnav-5068d34c08f951a7ea6257d305a1627b09a95817.zip
Adding upstream version 0.11.1.upstream/0.11.1upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'cleanup_expected.sh')
-rwxr-xr-xcleanup_expected.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/cleanup_expected.sh b/cleanup_expected.sh
new file mode 100755
index 0000000..5be90be
--- /dev/null
+++ b/cleanup_expected.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+
+srcdir="$1"
+builddir="$2"
+
+for fname in "${srcdir}"/expected/*.out; do
+ stem=$(basename "$fname" | sed -e 's/.out$//')
+
+ if ! test -f "${builddir}/$stem.cmd"; then
+ echo "removing $fname"
+ guilt rm "$fname"
+ echo "removing ${srcdir}/expected/${stem}.err"
+ guilt rm "${srcdir}/expected/${stem}.err"
+ fi
+done